Subject: Re: [BUG] netconsole hangs machine 2.6.20

From: Matt Mackall <[email-masked]>
Date: Mon, 16 Apr 2007 13:02:49 -0500

[cc:ed to netdev]

On Sun, Apr 15, 2007 at 10:45:37PM -0700, Mike Mattie wrote:
> Hello,
> 
> netconsole is hanging my box during IDE init.
> 
> I am running 2.6.20.7, config is attached from /proc
> 
> Without using netconsole the kernel boots fine. I am writing this message from it. 
> 
> When I do enable net-console I get from the linux banner to a couple of lines after
> "sanitize end" on the logging client ( Mac OS X 10.4 , simple nc listener )
> 
> The boot continues until hde (handled by the HPT366 driver, hdg is the last drive )
> and then the kernel just hangs.

I don't really have a theory for that. What NIC are you using? Looks
like VIA Rhine? Is it sharing an IRQ with your IDE interface?

Please post your boot messages with "debug" on the kernel command
line.

-- 
Mathematics is the supreme nostalgia of our time.